Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
  • Кейсы
  • Документация
  • Блог
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex BareMetal
    • Все инструкции
    • Обзор сервиса
    • Интеграции с другими сервисами Yandex Cloud
      • Обзор
      • Готовые конфигурации серверов
      • Своя конфигурация сервера
      • Конфигурация сервера по запросу
      • Обзор
      • Extend: Virtualization
      • Extend: Yandex Cloud Stackland
      • Extend: Managed Service for Kubernetes®
      • Обзор
      • Публичная сеть
      • Приватная сеть
      • DHCP
      • DNS в приватной сети
      • MC-LAG
      • Ограничения в сетях BareMetal
      • Обзор
      • Образы
      • Управление доступом
      • Дополнительные настройки серверов
      • Консоль управления
        • Аутентификация в API
            • Overview
              • Overview
              • GetImage
              • ListImages
              • ListCompatibleImages
              • ResolveImages
      • Метрики Monitoring
    • Квоты и лимиты
  • Правила тарификации
  • История изменений
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Body parameters
  • UserConfiguration
  • UserCPU
  • DiskDriveConfiguration
  • UserRAM
  • ConfigurationNetworkInterface
  • MCLagAggregationOptions
  • Response
  • Image
  1. Концепции
  2. Настройка и управление
  3. Справочник API
  4. API v2
  5. REST (англ.)
  6. Image
  7. ListCompatibleImages

BareMetal API, REST: Image.ListCompatibleImages

Статья создана
Yandex Cloud
Обновлена 6 ноября 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Body parameters
  • UserConfiguration
  • UserCPU
  • DiskDriveConfiguration
  • UserRAM
  • ConfigurationNetworkInterface
  • MCLagAggregationOptions
  • Response
  • Image

Lists images available for installation on the selected configuration.

HTTP requestHTTP request

POST https://baremetal.api.yandexcloud.kz/baremetal/v2/folders/{folderId}/images:listCompatible

Path parametersPath parameters

Field

Description

folderId

string

Required field. Folder of the server being configured. Used to check configuration access.

Body parametersBody parameters

{
  // Includes only one of the fields `stockConfigurationId`, `customConfiguration`
  "stockConfigurationId": "string",
  "customConfiguration": {
    "configurationId": "string",
    "name": "string",
    "cpu": {
      "id": "string",
      "name": "string",
      "vendor": "string",
      "physicalCores": "string",
      "frequencyMhz": "string",
      "count": "string",
      "threads": "string"
    },
    "diskDrives": [
      {
        "type": "string",
        "count": "string",
        "sizeBytes": "string"
      }
    ],
    "ram": {
      "id": "string",
      "sizeBytes": "string"
    },
    "networkInterfaces": [
      {
        "id": "string",
        "name": "string",
        "configurationId": "string",
        "linkSpeedGbps": "string",
        "availableModes": [
          "string"
        ],
        "mcLagOptions": {
          "interfaceCount": "string"
        },
        "mainMode": "string"
      }
    ]
  },
  // end of the list of possible fields
  "imageFolderId": "string",
  "pageSize": "string",
  "pageToken": "string"
}

Field

Description

stockConfigurationId

string

ID of an existing stock configuration.

Includes only one of the fields stockConfigurationId, customConfiguration.

Exactly one configuration must be provided.

customConfiguration

UserConfiguration

Complete custom configuration, in the same format as for server creation.
The configuration does not need to be saved first.

Includes only one of the fields stockConfigurationId, customConfiguration.

Exactly one configuration must be provided.

imageFolderId

string

Folder containing images. Defaults to "baremetal-standard-images".

pageSize

string (int64)

Maximum number of compatible images to return. Defaults to 20; maximum 1000.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Token from the previous response. Keep the configuration and folders unchanged.

UserConfigurationUserConfiguration

Field

Description

configurationId

string

ID of the configuration.

name

string

Name of the configuration.

cpu

UserCPU

CPU configuration.

diskDrives[]

DiskDriveConfiguration

Array of disk drive configurations.

ram

UserRAM

Random-access memory (RAM).

networkInterfaces[]

ConfigurationNetworkInterface

Network interfaces of the custom configuration.

UserCPUUserCPU

CPU configuration.

Field

Description

id

string

ID of the CPU from configurator.

name

string

Name of the CPU.

vendor

string

Vendor of the CPU.

physicalCores

string (int64)

Number of physical cores per CPU (socket).

frequencyMhz

string (int64)

Frequency of the CPU in megahertz (MHz).

count

string (int64)

Number of cpu.

threads

string (int64)

Number of threads (logical cores) per CPU (socket).

DiskDriveConfigurationDiskDriveConfiguration

Field

Description

type

enum (DiskDriveType)

Type of the disk drive.

  • HDD: Hard disk drive.
  • SSD: Solid state drive.
  • NVME: NVMe Solid state drive.

count

string (int64)

Number of disk drives.

sizeBytes

string (int64)

Size of a single disk drive.

UserRAMUserRAM

Field

Description

id

string

ID of the RAM from configurator.

sizeBytes

string (int64)

Ram size.

ConfigurationNetworkInterfaceConfigurationNetworkInterface

Field

Description

id

string

Id of the network interface
Not used while creating interfaces

name

string

Name of the network interface

configurationId

string

Id of the configuration

linkSpeedGbps

string (int64)

Link speed in gigabits per second

availableModes[]

enum (InterfaceMode)

Available modes for the network interface

  • PRIVATE: Private network interface mode.
  • PUBLIC: Public network interface mode.

mcLagOptions

MCLagAggregationOptions

MC-LAG configuration options for aggregated interfaces

mainMode

enum (InterfaceMode)

Primary mode of the network interface.

  • PRIVATE: Private network interface mode.
  • PUBLIC: Public network interface mode.

MCLagAggregationOptionsMCLagAggregationOptions

MC-LAG aggregation options for the network interface.

Field

Description

interfaceCount

string (int64)

Number of interfaces in the MC-LAG aggregation.

ResponseResponse

HTTP Code: 200 - OK

{
  "images": [
    {
      "imageId": "string",
      "folderId": "string",
      "name": "string",
      "family": "string",
      "state": "string",
      "publishTime": "string",
      "cloudId": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

images[]

Image

Available compatible images ordered by image ID ascending.
Empty when installation is forbidden for the configuration or no image matches.
Compatibility is checked again when the server is created or reinstalled.

nextPageToken

string

Token for the next page; empty when there are no more compatible images.

ImageImage

An Image resource.

Field

Description

imageId

string

ID of the image.

folderId

string

ID of the folder that the image belongs to.

name

string

Name of the image

family

string

Family of the image

state

enum (Status)

State of the image.

  • IMPORTING: Image is being imported.
  • IMPORTED: Image has been imported and is awaiting moderation.
  • PUBLISHED: Image is published and available to users.
  • DISABLED: Image is disabled for new installations but preserved for existing servers.
  • ERROR: Image encountered an error during import.

publishTime

string (date-time)

Timestamp when the image was published.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

cloudId

string

ID of the cloud that the image belongs to.

Была ли статья полезна?

Предыдущая
ListImages
Следующая
ResolveImages
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»